Comment 26 for bug 1292830

hopefully some more useful info below.

This also occurs for me. Machine is an x64 (quad core) laptop with Nvida 560M gpu. The issue occurs, as with dustin and others after upgrade. nvidia-prime is installed so the hybrid setup is I guess at default config.

$ uname -r
3.13.0-24-generic

$ apt list compiz nvidia-prime nvidia-331
Listing... Done
compiz/trusty-updates 1:0.9.11+14.04.20140423-0ubuntu1 all [upgradable from: 1:0.9.11+14.04.20140409-0ubuntu1]
nvidia-331/trusty,now 331.38-0ubuntu7 amd64 [installed]
nvidia-prime/trusty,now 0.6.2 amd64 [installed,automatic]

$ apt-cache policy nvidia-331 nvidia-331-updates
nvidia-331:
  Installed: 331.38-0ubuntu7
  Candidate: 331.38-0ubuntu7
  Version table:
 *** 331.38-0ubuntu7 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
        100 /var/lib/dpkg/status
nvidia-331-updates:
  Installed: (none)
  Candidate: 331.38-0ubuntu7
  Version table:
     331.38-0ubuntu7 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages

$ apt-cache policy nvidia-331-updates
nvidia-331-updates:
  Installed: (none)
  Candidate: 331.38-0ubuntu7
  Version table:
     331.38-0ubuntu7 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages

$ apt-cache policy compiz
compiz:
  Installed: 1:0.9.11+14.04.20140409-0ubuntu1
  Candidate: 1:0.9.11+14.04.20140423-0ubuntu1
  Version table:
     1:0.9.11+14.04.20140423-0ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
 *** 1:0.9.11+14.04.20140409-0ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status